Skip to content

Set an admin to away

Request

You can set an Admin as away for the Inbox.

Security
bearerAuth
Path
admin_idstringrequired

The unique identifier of a given admin

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
Bodyapplication/json
away_mode_enabledbooleanrequired

Set to "true" to change the status of the admin to away.

Default:true
Example:true
away_mode_reassignbooleanrequired

Set to "true" to assign any new conversation replies to your default inbox.

Default:false
Example:false
curl -i -X PUT \
  'https://api.intercom.io/admins/{admin_id}/away' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.11' \
  -d '{
    "away_mode_enabled": true,
    "away_mode_reassign": true
  }'

Responses

Successful response

Bodyapplication/json
typestring

String representing the object's type. Always has the value admin.

Value:"admin"
Example:"admin"
idstringrequired

The id representing the admin.

Example:"1295"
namestringrequired

The name of the admin.

Example:"Hoban Washburne"
emailstringrequired

The email of the admin.

Example:"wash@serenity.io"
job_titlestringrequired

The job title of the admin.

Example:"Philosopher"
away_mode_enabledbooleanrequired

Identifies if this admin is currently set in away mode.

Example:false
away_mode_reassignbooleanrequired

Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.

Example:false
has_inbox_seatbooleanrequired

Identifies if this admin has a paid inbox seat to restrict/allow features that require them.

Example:true
team_idsArray of integersrequired

This object represents the avatar associated with the admin.

Example:
[ 814865 ]
avatarstring or null, (uri)

Image for the associated team or teammate

Example:"https://picsum.photos/200/300"
team_priority_levelobject(Team Priority Level)

Admin priority levels for teams

Response
{ "type": "admin", "id": "991267391", "name": "Ciaran2 Lee", "email": "admin2@email.com", "away_mode_enabled": true, "away_mode_reassign": true, "has_inbox_seat": true, "team_ids": [] }